package com.zhongzheng.modules.user.service;

import com.zhongzheng.modules.user.bo.UserSubscribeCertificateEditBo;
import com.zhongzheng.modules.user.domain.UserSubscribe;
import com.zhongzheng.modules.user.vo.UserSubscribeVo;
import com.zhongzheng.modules.user.bo.UserSubscribeQueryBo;
import com.zhongzheng.modules.user.bo.UserSubscribeAddBo;
import com.zhongzheng.modules.user.bo.UserSubscribeEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 用户预约考试Service接口
 *
 * @author ruoyi
 * @date 2021-12-07
 */
public interface IUserSubscribeService extends IService<UserSubscribe> {
	/**
	 * 查询单个
	 * @return
	 */
	UserSubscribeVo queryById(Long subscribeId);

	/**
	 * 查询列表
	 */
	List<UserSubscribeVo> queryList(UserSubscribeQueryBo bo);

	/**
	 * 根据新增业务对象插入用户预约考试
	 * @param bo 用户预约考试新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(UserSubscribeAddBo bo);

	/**
	 * 根据编辑业务对象修改用户预约考试
	 * @param bo 用户预约考试编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(UserSubscribeEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<UserSubscribeVo> listSubscribe(UserSubscribeQueryBo bo);

	boolean editCertificate(List<UserSubscribeCertificateEditBo> bo);
}
